org.eclipse.mat.inspections.osgi.model.eclipse

## Class ExtensionPoint

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.eclipse.ExtensionPoint

    public class ExtensionPoint
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ExtensionPoint(int objectId, Integer extensionPointId, String[] properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addExtension(Extension extension)`
`boolean` `equals(Object obj)`
`BundleDescriptor` `getContributedBy()` Get descriptor of the bundle contributing this extension point
`String` `getContributorId()` Get unique id of the bundle contributing this extension point
`Integer` `getExtensionPointId()` Get extension point's unique identifier.
`List<Extension>` `getExtensions()`
`String` `getLabel()`
`String` `getName()`
`int` `getObjectId()` Get objectId of the ExtensionPoint in the heap dump
`int` `hashCode()`
`void` `setContributedBy(BundleDescriptor contributedBy)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionPoint

    public ExtensionPoint(int objectId,
                          Integer extensionPointId,
                          String[] properties)

### Method Detail

#### getObjectId

    public int getObjectId()

Get objectId of the ExtensionPoint in the heap dump

Returns:
  int objectId

#### getExtensionPointId

    public Integer getExtensionPointId()

Get extension point's unique identifier. This extension point is assigned a unique identifier by the OSGi framework.

Returns:
  Integer extension's unique identifier

#### getName

    public String getName()

#### getContributorId

    public String getContributorId()

Get unique id of the bundle contributing this extension point

Returns:
  String unique id of the bundle contributing this extension point

#### setContributedBy

    public void setContributedBy(BundleDescriptor contributedBy)

#### getContributedBy

    public BundleDescriptor getContributedBy()

Get descriptor of the bundle contributing this extension point

Returns:
  BundleDescriptor of the bundle contributing this extension point

#### getLabel

    public String getLabel()

#### getExtensions

    public List<Extension> getExtensions()

Returns:
  List<Extension> list of extensions of this extension point

#### addExtension

    public void addExtension(Extension extension)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`